Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network172.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
172.0.0.0
Broadcast address
172.63.255.255
First usable
172.0.0.1
Last usable
172.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
B (default /16)
As numbers
Hex AC000000 · Integer 2885681152 to 2889875455
Reverse DNS zones
0.172.in-addr.arpa
1.172.in-addr.arpa
2.172.in-addr.arpa
3.172.in-addr.arpa
4.172.in-addr.arpa
5.172.in-addr.arpa
6.172.in-addr.arpa
7.172.in-addr.arpa
8.172.in-addr.arpa
9.172.in-addr.arpa
10.172.in-addr.arpa
11.172.in-addr.arpa
12.172.in-addr.arpa
13.172.in-addr.arpa
14.172.in-addr.arpa
15.172.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101100.00000000.00000000.00000000172.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network10101100.00000000.00000000.00000000172.0.0.0
Broadcast10101100.00111111.11111111.11111111172.63.255.255
Split into smaller subnets/18

172.0.0.0/10 makes 256 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1172.0.0.0/18172.0.0.1 to 172.0.63.254172.0.63.25516,382
2172.0.64.0/18172.0.64.1 to 172.0.127.254172.0.127.25516,382
3172.0.128.0/18172.0.128.1 to 172.0.191.254172.0.191.25516,382
4172.0.192.0/18172.0.192.1 to 172.0.255.254172.0.255.25516,382
5172.1.0.0/18172.1.0.1 to 172.1.63.254172.1.63.25516,382
6172.1.64.0/18172.1.64.1 to 172.1.127.254172.1.127.25516,382
7172.1.128.0/18172.1.128.1 to 172.1.191.254172.1.191.25516,382
8172.1.192.0/18172.1.192.1 to 172.1.255.254172.1.255.25516,382
9172.2.0.0/18172.2.0.1 to 172.2.63.254172.2.63.25516,382
10172.2.64.0/18172.2.64.1 to 172.2.127.254172.2.127.25516,382
11172.2.128.0/18172.2.128.1 to 172.2.191.254172.2.191.25516,382
12172.2.192.0/18172.2.192.1 to 172.2.255.254172.2.255.25516,382
13172.3.0.0/18172.3.0.1 to 172.3.63.254172.3.63.25516,382
14172.3.64.0/18172.3.64.1 to 172.3.127.254172.3.127.25516,382
15172.3.128.0/18172.3.128.1 to 172.3.191.254172.3.191.25516,382
16172.3.192.0/18172.3.192.1 to 172.3.255.254172.3.255.25516,382
17172.4.0.0/18172.4.0.1 to 172.4.63.254172.4.63.25516,382
18172.4.64.0/18172.4.64.1 to 172.4.127.254172.4.127.25516,382
19172.4.128.0/18172.4.128.1 to 172.4.191.254172.4.191.25516,382
20172.4.192.0/18172.4.192.1 to 172.4.255.254172.4.255.25516,382
21172.5.0.0/18172.5.0.1 to 172.5.63.254172.5.63.25516,382
22172.5.64.0/18172.5.64.1 to 172.5.127.254172.5.127.25516,382
23172.5.128.0/18172.5.128.1 to 172.5.191.254172.5.191.25516,382
24172.5.192.0/18172.5.192.1 to 172.5.255.254172.5.255.25516,382
25172.6.0.0/18172.6.0.1 to 172.6.63.254172.6.63.25516,382
26172.6.64.0/18172.6.64.1 to 172.6.127.254172.6.127.25516,382
27172.6.128.0/18172.6.128.1 to 172.6.191.254172.6.191.25516,382
28172.6.192.0/18172.6.192.1 to 172.6.255.254172.6.255.25516,382
29172.7.0.0/18172.7.0.1 to 172.7.63.254172.7.63.25516,382
30172.7.64.0/18172.7.64.1 to 172.7.127.254172.7.127.25516,382
31172.7.128.0/18172.7.128.1 to 172.7.191.254172.7.191.25516,382
32172.7.192.0/18172.7.192.1 to 172.7.255.254172.7.255.25516,382
33172.8.0.0/18172.8.0.1 to 172.8.63.254172.8.63.25516,382
34172.8.64.0/18172.8.64.1 to 172.8.127.254172.8.127.25516,382
35172.8.128.0/18172.8.128.1 to 172.8.191.254172.8.191.25516,382
36172.8.192.0/18172.8.192.1 to 172.8.255.254172.8.255.25516,382
37172.9.0.0/18172.9.0.1 to 172.9.63.254172.9.63.25516,382
38172.9.64.0/18172.9.64.1 to 172.9.127.254172.9.127.25516,382
39172.9.128.0/18172.9.128.1 to 172.9.191.254172.9.191.25516,382
40172.9.192.0/18172.9.192.1 to 172.9.255.254172.9.255.25516,382
41172.10.0.0/18172.10.0.1 to 172.10.63.254172.10.63.25516,382
42172.10.64.0/18172.10.64.1 to 172.10.127.254172.10.127.25516,382
43172.10.128.0/18172.10.128.1 to 172.10.191.254172.10.191.25516,382
44172.10.192.0/18172.10.192.1 to 172.10.255.254172.10.255.25516,382
45172.11.0.0/18172.11.0.1 to 172.11.63.254172.11.63.25516,382
46172.11.64.0/18172.11.64.1 to 172.11.127.254172.11.127.25516,382
47172.11.128.0/18172.11.128.1 to 172.11.191.254172.11.191.25516,382
48172.11.192.0/18172.11.192.1 to 172.11.255.254172.11.255.25516,382
49172.12.0.0/18172.12.0.1 to 172.12.63.254172.12.63.25516,382
50172.12.64.0/18172.12.64.1 to 172.12.127.254172.12.127.25516,382
51172.12.128.0/18172.12.128.1 to 172.12.191.254172.12.191.25516,382
52172.12.192.0/18172.12.192.1 to 172.12.255.254172.12.255.25516,382
53172.13.0.0/18172.13.0.1 to 172.13.63.254172.13.63.25516,382
54172.13.64.0/18172.13.64.1 to 172.13.127.254172.13.127.25516,382
55172.13.128.0/18172.13.128.1 to 172.13.191.254172.13.191.25516,382
56172.13.192.0/18172.13.192.1 to 172.13.255.254172.13.255.25516,382
57172.14.0.0/18172.14.0.1 to 172.14.63.254172.14.63.25516,382
58172.14.64.0/18172.14.64.1 to 172.14.127.254172.14.127.25516,382
59172.14.128.0/18172.14.128.1 to 172.14.191.254172.14.191.25516,382
60172.14.192.0/18172.14.192.1 to 172.14.255.254172.14.255.25516,382
61172.15.0.0/18172.15.0.1 to 172.15.63.254172.15.63.25516,382
62172.15.64.0/18172.15.64.1 to 172.15.127.254172.15.127.25516,382
63172.15.128.0/18172.15.128.1 to 172.15.191.254172.15.191.25516,382
64172.15.192.0/18172.15.192.1 to 172.15.255.254172.15.255.25516,382
65172.16.0.0/18172.16.0.1 to 172.16.63.254172.16.63.25516,382
66172.16.64.0/18172.16.64.1 to 172.16.127.254172.16.127.25516,382
67172.16.128.0/18172.16.128.1 to 172.16.191.254172.16.191.25516,382
68172.16.192.0/18172.16.192.1 to 172.16.255.254172.16.255.25516,382
69172.17.0.0/18172.17.0.1 to 172.17.63.254172.17.63.25516,382
70172.17.64.0/18172.17.64.1 to 172.17.127.254172.17.127.25516,382
71172.17.128.0/18172.17.128.1 to 172.17.191.254172.17.191.25516,382
72172.17.192.0/18172.17.192.1 to 172.17.255.254172.17.255.25516,382
73172.18.0.0/18172.18.0.1 to 172.18.63.254172.18.63.25516,382
74172.18.64.0/18172.18.64.1 to 172.18.127.254172.18.127.25516,382
75172.18.128.0/18172.18.128.1 to 172.18.191.254172.18.191.25516,382
76172.18.192.0/18172.18.192.1 to 172.18.255.254172.18.255.25516,382
77172.19.0.0/18172.19.0.1 to 172.19.63.254172.19.63.25516,382
78172.19.64.0/18172.19.64.1 to 172.19.127.254172.19.127.25516,382
79172.19.128.0/18172.19.128.1 to 172.19.191.254172.19.191.25516,382
80172.19.192.0/18172.19.192.1 to 172.19.255.254172.19.255.25516,382
81172.20.0.0/18172.20.0.1 to 172.20.63.254172.20.63.25516,382
82172.20.64.0/18172.20.64.1 to 172.20.127.254172.20.127.25516,382
83172.20.128.0/18172.20.128.1 to 172.20.191.254172.20.191.25516,382
84172.20.192.0/18172.20.192.1 to 172.20.255.254172.20.255.25516,382
85172.21.0.0/18172.21.0.1 to 172.21.63.254172.21.63.25516,382
86172.21.64.0/18172.21.64.1 to 172.21.127.254172.21.127.25516,382
87172.21.128.0/18172.21.128.1 to 172.21.191.254172.21.191.25516,382
88172.21.192.0/18172.21.192.1 to 172.21.255.254172.21.255.25516,382
89172.22.0.0/18172.22.0.1 to 172.22.63.254172.22.63.25516,382
90172.22.64.0/18172.22.64.1 to 172.22.127.254172.22.127.25516,382
91172.22.128.0/18172.22.128.1 to 172.22.191.254172.22.191.25516,382
92172.22.192.0/18172.22.192.1 to 172.22.255.254172.22.255.25516,382
93172.23.0.0/18172.23.0.1 to 172.23.63.254172.23.63.25516,382
94172.23.64.0/18172.23.64.1 to 172.23.127.254172.23.127.25516,382
95172.23.128.0/18172.23.128.1 to 172.23.191.254172.23.191.25516,382
96172.23.192.0/18172.23.192.1 to 172.23.255.254172.23.255.25516,382
97172.24.0.0/18172.24.0.1 to 172.24.63.254172.24.63.25516,382
98172.24.64.0/18172.24.64.1 to 172.24.127.254172.24.127.25516,382
99172.24.128.0/18172.24.128.1 to 172.24.191.254172.24.191.25516,382
100172.24.192.0/18172.24.192.1 to 172.24.255.254172.24.255.25516,382
101172.25.0.0/18172.25.0.1 to 172.25.63.254172.25.63.25516,382
102172.25.64.0/18172.25.64.1 to 172.25.127.254172.25.127.25516,382
103172.25.128.0/18172.25.128.1 to 172.25.191.254172.25.191.25516,382
104172.25.192.0/18172.25.192.1 to 172.25.255.254172.25.255.25516,382
105172.26.0.0/18172.26.0.1 to 172.26.63.254172.26.63.25516,382
106172.26.64.0/18172.26.64.1 to 172.26.127.254172.26.127.25516,382
107172.26.128.0/18172.26.128.1 to 172.26.191.254172.26.191.25516,382
108172.26.192.0/18172.26.192.1 to 172.26.255.254172.26.255.25516,382
109172.27.0.0/18172.27.0.1 to 172.27.63.254172.27.63.25516,382
110172.27.64.0/18172.27.64.1 to 172.27.127.254172.27.127.25516,382
111172.27.128.0/18172.27.128.1 to 172.27.191.254172.27.191.25516,382
112172.27.192.0/18172.27.192.1 to 172.27.255.254172.27.255.25516,382
113172.28.0.0/18172.28.0.1 to 172.28.63.254172.28.63.25516,382
114172.28.64.0/18172.28.64.1 to 172.28.127.254172.28.127.25516,382
115172.28.128.0/18172.28.128.1 to 172.28.191.254172.28.191.25516,382
116172.28.192.0/18172.28.192.1 to 172.28.255.254172.28.255.25516,382
117172.29.0.0/18172.29.0.1 to 172.29.63.254172.29.63.25516,382
118172.29.64.0/18172.29.64.1 to 172.29.127.254172.29.127.25516,382
119172.29.128.0/18172.29.128.1 to 172.29.191.254172.29.191.25516,382
120172.29.192.0/18172.29.192.1 to 172.29.255.254172.29.255.25516,382
121172.30.0.0/18172.30.0.1 to 172.30.63.254172.30.63.25516,382
122172.30.64.0/18172.30.64.1 to 172.30.127.254172.30.127.25516,382
123172.30.128.0/18172.30.128.1 to 172.30.191.254172.30.191.25516,382
124172.30.192.0/18172.30.192.1 to 172.30.255.254172.30.255.25516,382
125172.31.0.0/18172.31.0.1 to 172.31.63.254172.31.63.25516,382
126172.31.64.0/18172.31.64.1 to 172.31.127.254172.31.127.25516,382
127172.31.128.0/18172.31.128.1 to 172.31.191.254172.31.191.25516,382
128172.31.192.0/18172.31.192.1 to 172.31.255.254172.31.255.25516,382
129172.32.0.0/18172.32.0.1 to 172.32.63.254172.32.63.25516,382
130172.32.64.0/18172.32.64.1 to 172.32.127.254172.32.127.25516,382
131172.32.128.0/18172.32.128.1 to 172.32.191.254172.32.191.25516,382
132172.32.192.0/18172.32.192.1 to 172.32.255.254172.32.255.25516,382
133172.33.0.0/18172.33.0.1 to 172.33.63.254172.33.63.25516,382
134172.33.64.0/18172.33.64.1 to 172.33.127.254172.33.127.25516,382
135172.33.128.0/18172.33.128.1 to 172.33.191.254172.33.191.25516,382
136172.33.192.0/18172.33.192.1 to 172.33.255.254172.33.255.25516,382
137172.34.0.0/18172.34.0.1 to 172.34.63.254172.34.63.25516,382
138172.34.64.0/18172.34.64.1 to 172.34.127.254172.34.127.25516,382
139172.34.128.0/18172.34.128.1 to 172.34.191.254172.34.191.25516,382
140172.34.192.0/18172.34.192.1 to 172.34.255.254172.34.255.25516,382
141172.35.0.0/18172.35.0.1 to 172.35.63.254172.35.63.25516,382
142172.35.64.0/18172.35.64.1 to 172.35.127.254172.35.127.25516,382
143172.35.128.0/18172.35.128.1 to 172.35.191.254172.35.191.25516,382
144172.35.192.0/18172.35.192.1 to 172.35.255.254172.35.255.25516,382
145172.36.0.0/18172.36.0.1 to 172.36.63.254172.36.63.25516,382
146172.36.64.0/18172.36.64.1 to 172.36.127.254172.36.127.25516,382
147172.36.128.0/18172.36.128.1 to 172.36.191.254172.36.191.25516,382
148172.36.192.0/18172.36.192.1 to 172.36.255.254172.36.255.25516,382
149172.37.0.0/18172.37.0.1 to 172.37.63.254172.37.63.25516,382
150172.37.64.0/18172.37.64.1 to 172.37.127.254172.37.127.25516,382
151172.37.128.0/18172.37.128.1 to 172.37.191.254172.37.191.25516,382
152172.37.192.0/18172.37.192.1 to 172.37.255.254172.37.255.25516,382
153172.38.0.0/18172.38.0.1 to 172.38.63.254172.38.63.25516,382
154172.38.64.0/18172.38.64.1 to 172.38.127.254172.38.127.25516,382
155172.38.128.0/18172.38.128.1 to 172.38.191.254172.38.191.25516,382
156172.38.192.0/18172.38.192.1 to 172.38.255.254172.38.255.25516,382
157172.39.0.0/18172.39.0.1 to 172.39.63.254172.39.63.25516,382
158172.39.64.0/18172.39.64.1 to 172.39.127.254172.39.127.25516,382
159172.39.128.0/18172.39.128.1 to 172.39.191.254172.39.191.25516,382
160172.39.192.0/18172.39.192.1 to 172.39.255.254172.39.255.25516,382
161172.40.0.0/18172.40.0.1 to 172.40.63.254172.40.63.25516,382
162172.40.64.0/18172.40.64.1 to 172.40.127.254172.40.127.25516,382
163172.40.128.0/18172.40.128.1 to 172.40.191.254172.40.191.25516,382
164172.40.192.0/18172.40.192.1 to 172.40.255.254172.40.255.25516,382
165172.41.0.0/18172.41.0.1 to 172.41.63.254172.41.63.25516,382
166172.41.64.0/18172.41.64.1 to 172.41.127.254172.41.127.25516,382
167172.41.128.0/18172.41.128.1 to 172.41.191.254172.41.191.25516,382
168172.41.192.0/18172.41.192.1 to 172.41.255.254172.41.255.25516,382
169172.42.0.0/18172.42.0.1 to 172.42.63.254172.42.63.25516,382
170172.42.64.0/18172.42.64.1 to 172.42.127.254172.42.127.25516,382
171172.42.128.0/18172.42.128.1 to 172.42.191.254172.42.191.25516,382
172172.42.192.0/18172.42.192.1 to 172.42.255.254172.42.255.25516,382
173172.43.0.0/18172.43.0.1 to 172.43.63.254172.43.63.25516,382
174172.43.64.0/18172.43.64.1 to 172.43.127.254172.43.127.25516,382
175172.43.128.0/18172.43.128.1 to 172.43.191.254172.43.191.25516,382
176172.43.192.0/18172.43.192.1 to 172.43.255.254172.43.255.25516,382
177172.44.0.0/18172.44.0.1 to 172.44.63.254172.44.63.25516,382
178172.44.64.0/18172.44.64.1 to 172.44.127.254172.44.127.25516,382
179172.44.128.0/18172.44.128.1 to 172.44.191.254172.44.191.25516,382
180172.44.192.0/18172.44.192.1 to 172.44.255.254172.44.255.25516,382
181172.45.0.0/18172.45.0.1 to 172.45.63.254172.45.63.25516,382
182172.45.64.0/18172.45.64.1 to 172.45.127.254172.45.127.25516,382
183172.45.128.0/18172.45.128.1 to 172.45.191.254172.45.191.25516,382
184172.45.192.0/18172.45.192.1 to 172.45.255.254172.45.255.25516,382
185172.46.0.0/18172.46.0.1 to 172.46.63.254172.46.63.25516,382
186172.46.64.0/18172.46.64.1 to 172.46.127.254172.46.127.25516,382
187172.46.128.0/18172.46.128.1 to 172.46.191.254172.46.191.25516,382
188172.46.192.0/18172.46.192.1 to 172.46.255.254172.46.255.25516,382
189172.47.0.0/18172.47.0.1 to 172.47.63.254172.47.63.25516,382
190172.47.64.0/18172.47.64.1 to 172.47.127.254172.47.127.25516,382
191172.47.128.0/18172.47.128.1 to 172.47.191.254172.47.191.25516,382
192172.47.192.0/18172.47.192.1 to 172.47.255.254172.47.255.25516,382
193172.48.0.0/18172.48.0.1 to 172.48.63.254172.48.63.25516,382
194172.48.64.0/18172.48.64.1 to 172.48.127.254172.48.127.25516,382
195172.48.128.0/18172.48.128.1 to 172.48.191.254172.48.191.25516,382
196172.48.192.0/18172.48.192.1 to 172.48.255.254172.48.255.25516,382
197172.49.0.0/18172.49.0.1 to 172.49.63.254172.49.63.25516,382
198172.49.64.0/18172.49.64.1 to 172.49.127.254172.49.127.25516,382
199172.49.128.0/18172.49.128.1 to 172.49.191.254172.49.191.25516,382
200172.49.192.0/18172.49.192.1 to 172.49.255.254172.49.255.25516,382
201172.50.0.0/18172.50.0.1 to 172.50.63.254172.50.63.25516,382
202172.50.64.0/18172.50.64.1 to 172.50.127.254172.50.127.25516,382
203172.50.128.0/18172.50.128.1 to 172.50.191.254172.50.191.25516,382
204172.50.192.0/18172.50.192.1 to 172.50.255.254172.50.255.25516,382
205172.51.0.0/18172.51.0.1 to 172.51.63.254172.51.63.25516,382
206172.51.64.0/18172.51.64.1 to 172.51.127.254172.51.127.25516,382
207172.51.128.0/18172.51.128.1 to 172.51.191.254172.51.191.25516,382
208172.51.192.0/18172.51.192.1 to 172.51.255.254172.51.255.25516,382
209172.52.0.0/18172.52.0.1 to 172.52.63.254172.52.63.25516,382
210172.52.64.0/18172.52.64.1 to 172.52.127.254172.52.127.25516,382
211172.52.128.0/18172.52.128.1 to 172.52.191.254172.52.191.25516,382
212172.52.192.0/18172.52.192.1 to 172.52.255.254172.52.255.25516,382
213172.53.0.0/18172.53.0.1 to 172.53.63.254172.53.63.25516,382
214172.53.64.0/18172.53.64.1 to 172.53.127.254172.53.127.25516,382
215172.53.128.0/18172.53.128.1 to 172.53.191.254172.53.191.25516,382
216172.53.192.0/18172.53.192.1 to 172.53.255.254172.53.255.25516,382
217172.54.0.0/18172.54.0.1 to 172.54.63.254172.54.63.25516,382
218172.54.64.0/18172.54.64.1 to 172.54.127.254172.54.127.25516,382
219172.54.128.0/18172.54.128.1 to 172.54.191.254172.54.191.25516,382
220172.54.192.0/18172.54.192.1 to 172.54.255.254172.54.255.25516,382
221172.55.0.0/18172.55.0.1 to 172.55.63.254172.55.63.25516,382
222172.55.64.0/18172.55.64.1 to 172.55.127.254172.55.127.25516,382
223172.55.128.0/18172.55.128.1 to 172.55.191.254172.55.191.25516,382
224172.55.192.0/18172.55.192.1 to 172.55.255.254172.55.255.25516,382
225172.56.0.0/18172.56.0.1 to 172.56.63.254172.56.63.25516,382
226172.56.64.0/18172.56.64.1 to 172.56.127.254172.56.127.25516,382
227172.56.128.0/18172.56.128.1 to 172.56.191.254172.56.191.25516,382
228172.56.192.0/18172.56.192.1 to 172.56.255.254172.56.255.25516,382
229172.57.0.0/18172.57.0.1 to 172.57.63.254172.57.63.25516,382
230172.57.64.0/18172.57.64.1 to 172.57.127.254172.57.127.25516,382
231172.57.128.0/18172.57.128.1 to 172.57.191.254172.57.191.25516,382
232172.57.192.0/18172.57.192.1 to 172.57.255.254172.57.255.25516,382
233172.58.0.0/18172.58.0.1 to 172.58.63.254172.58.63.25516,382
234172.58.64.0/18172.58.64.1 to 172.58.127.254172.58.127.25516,382
235172.58.128.0/18172.58.128.1 to 172.58.191.254172.58.191.25516,382
236172.58.192.0/18172.58.192.1 to 172.58.255.254172.58.255.25516,382
237172.59.0.0/18172.59.0.1 to 172.59.63.254172.59.63.25516,382
238172.59.64.0/18172.59.64.1 to 172.59.127.254172.59.127.25516,382
239172.59.128.0/18172.59.128.1 to 172.59.191.254172.59.191.25516,382
240172.59.192.0/18172.59.192.1 to 172.59.255.254172.59.255.25516,382
241172.60.0.0/18172.60.0.1 to 172.60.63.254172.60.63.25516,382
242172.60.64.0/18172.60.64.1 to 172.60.127.254172.60.127.25516,382
243172.60.128.0/18172.60.128.1 to 172.60.191.254172.60.191.25516,382
244172.60.192.0/18172.60.192.1 to 172.60.255.254172.60.255.25516,382
245172.61.0.0/18172.61.0.1 to 172.61.63.254172.61.63.25516,382
246172.61.64.0/18172.61.64.1 to 172.61.127.254172.61.127.25516,382
247172.61.128.0/18172.61.128.1 to 172.61.191.254172.61.191.25516,382
248172.61.192.0/18172.61.192.1 to 172.61.255.254172.61.255.25516,382
249172.62.0.0/18172.62.0.1 to 172.62.63.254172.62.63.25516,382
250172.62.64.0/18172.62.64.1 to 172.62.127.254172.62.127.25516,382
251172.62.128.0/18172.62.128.1 to 172.62.191.254172.62.191.25516,382
252172.62.192.0/18172.62.192.1 to 172.62.255.254172.62.255.25516,382
253172.63.0.0/18172.63.0.1 to 172.63.63.254172.63.63.25516,382
254172.63.64.0/18172.63.64.1 to 172.63.127.254172.63.127.25516,382
255172.63.128.0/18172.63.128.1 to 172.63.191.254172.63.191.25516,382
256172.63.192.0/18172.63.192.1 to 172.63.255.254172.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses